Run APM transaction

Allows you to securely process an alternative payment method transaction without a browser, such as for merchant-initiated transactions using PayPal (with Braintree).

Note

In order to use this endpoint, the following two things must be true:

  • You must have already set processingOptions.saveRecurringToken to true in the APM one-time-use token request for the initial transaction.
  • Your customer must have already checked out and paid through the alternative payment method for that initial transaction.

Try It

To use the Try It feature for this endpoint, you must use the credentials for your Sandbox API user.

Request parameters

  • apm
  • apm.token
  • data
  • data.amount
  • data.currency
  • data.customer
  • data.customer.orderNumber
  • data.customer.billToAddressOne
  • data.customer.billToAddressTwo
  • data.customer.billToCity
  • data.customer.billToCountry
  • data.customer.billToPhone
  • data.customer.billToPostal
  • data.customer.billToState
  • data.customer.birthDate
  • data.customer.companyName
  • data.customer.createdAtDate
  • data.customer.customerRef
  • data.customer.email
  • data.customer.invoice
  • data.customer.firstName
  • data.customer.lastName
  • data.customer.orderDate
  • data.customer.phone
  • data.customer.shipToAddressOne
  • data.customer.shipToAddressTwo
  • data.customer.shipToCity
  • data.customer.shipToCountry
  • data.customer.shipToPhone
  • data.customer.shipToPostal
  • data.customer.shipToState
  • data.customFields
  • data.customFields.exampleKey
  • data.description
  • isAuthOnly
  • processingOptions
  • processingOptions.merchantId
  • processingOptions.paymentOptionTag
  • processingOptions.webhookFailUrl

Response parameters

  • id
  • merchantId
  • transactionDate
  • transactionStatus
  • amount
  • transactionType
  • currency
  • gatewayResponse
  • gatewayResponse.gatewayName
  • gatewayResponse.refNumber
  • data
  • data.amount
  • data.currency
  • data.settlementCurrency
  • data.customer
  • data.customer.customerRef
  • data.customer.orderNumber
  • data.customer.orderDate
  • data.customer.invoice
  • data.customer.firstName
  • data.customer.lastName
  • data.customer.birthDate
  • data.customer.billToAddressOne
  • data.customer.billToAddressTwo
  • data.customer.billToCity
  • data.customer.billToCountry
  • data.customer.billToPhone
  • data.customer.billToPostal
  • data.customer.billToState
  • data.customer.email
  • data.customer.phone
  • data.customer.shipToAddressOne
  • data.customer.shipToAddressTwo
  • data.customer.shipToCity
  • data.customer.shipToCountry
  • data.customer.shipToPhone
  • data.customer.shipToPostal
  • data.customer.shipToState
  • data.customer.createdAt
  • data.customFields
  • data.customFields.exampleKey
  • data.description
  • apm
  • apm.token
Body Params
apm
object
required
data
object
required

Transaction data

boolean
Defaults to false

Set to true to run an auth only transaction. This value is cached in the one-time-use token.

processingOptions
object

Processing Options

Responses

Language
Credentials
Basic
base64
:
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json